> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling Voices Summary

> Kling Voices Description



## OpenAPI

````yaml /openapi/kling.json post /kling/voices
openapi: 3.0.0
info:
  title: Kling video generation
  version: 1.0.0
  description: API reference for Kling video generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /kling/voices:
    post:
      summary: Kling Voices Summary
      description: Kling Voices Description
      operationId: kling_voices
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                action:
                  type: string
                  enum:
                    - list
                    - presets
                    - retrieve
                    - delete
                    - create
                  default: list
                id:
                  type: string
                  description: Kling Assets Platform Id
                page_num:
                  type: integer
                  minimum: 1
                  maximum: 1000
                  default: 1
                page_size:
                  type: integer
                  minimum: 1
                  maximum: 500
                  default: 30
                async:
                  type: boolean
                callback_url:
                  type: string
                  format: uri
                voice_name:
                  type: string
                  minLength: 1
                  maxLength: 20
                voice_url:
                  type: string
                  format: uri
                  description: Kling Assets Voice Recording
      responses:
        '200':
          description: Kling Assets Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  task_id:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      properties:
                        id:
                          type: string
                        kind:
                          type: string
                          enum:
                            - element
                            - voice
                        name:
                          type: string
                        description:
                          type: string
                        reference_type:
                          type: string
                        preset:
                          type: boolean
                        voice_id:
                          type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.